# wxAuiToolBarItem Class Reference
[Window Docking (wxAUI)]

`#include <wx/aui/toolbar.h>`

## Detailed Description

wxAuiToolBarItem is part of the wxAUI class framework.

See also wxAuiToolBar and wxAUI Overview.

##

Library: wxAui

Category: Window Docking (wxAUI)

## Public Member Functions
| wxAuiToolBarItem ()
| wxAuiToolBarItem (const wxAuiToolBarItem &c)
wxAuiToolBarItem & | operator= (const wxAuiToolBarItem &c)
void | Assign (const wxAuiToolBarItem &c)
void | SetWindow (wxWindow *w)
wxWindow * | GetWindow ()
void | SetId (int new_id)
int | GetId () const
void | SetKind (int new_kind)
int | GetKind () const
void | SetState (int new_state)
int | GetState () const
void | SetSizerItem (wxSizerItem *s)
wxSizerItem * | GetSizerItem () const
void | SetLabel (const wxString &s)
const wxString & | GetLabel () const
void | SetBitmap (const wxBitmap &bmp)
const wxBitmap & | GetBitmap () const
void | SetDisabledBitmap (const wxBitmap &bmp)
const wxBitmap & | GetDisabledBitmap () const
void | SetHoverBitmap (const wxBitmap &bmp)
const wxBitmap & | GetHoverBitmap () const
void | SetShortHelp (const wxString &s)
const wxString & | GetShortHelp () const
void | SetLongHelp (const wxString &s)
const wxString & | GetLongHelp () const
void | SetMinSize (const wxSize &s)
const wxSize & | GetMinSize () const
void | SetSpacerPixels (int s)
int | GetSpacerPixels () const
void | SetProportion (int p)
int | GetProportion () const
void | SetActive (bool b)
bool | IsActive () const
void | SetHasDropDown (bool b)
bool | HasDropDown () const
void | SetSticky (bool b)
bool | IsSticky () const
void | SetUserData (long l)
long | GetUserData () const
void | SetAlignment (int l)
int | GetAlignment () const

List of all members.

## Constructor & Destructor Documentation

wxAuiToolBarItem::wxAuiToolBarItem | ( |  | ) |

wxAuiToolBarItem::wxAuiToolBarItem | ( | const wxAuiToolBarItem & | c | ) |

## Member Function Documentation

void wxAuiToolBarItem::Assign | ( | const wxAuiToolBarItem & | c | ) |

int wxAuiToolBarItem::GetAlignment | ( |  | ) | const

const wxBitmap& wxAuiToolBarItem::GetBitmap | ( |  | ) | const

const wxBitmap& wxAuiToolBarItem::GetDisabledBitmap | ( |  | ) | const

const wxBitmap& wxAuiToolBarItem::GetHoverBitmap | ( |  | ) | const

int wxAuiToolBarItem::GetId | ( |  | ) | const

int wxAuiToolBarItem::GetKind | ( |  | ) | const

const wxString& wxAuiToolBarItem::GetLabel | ( |  | ) | const

const wxString& wxAuiToolBarItem::GetLongHelp | ( |  | ) | const

const wxSize& wxAuiToolBarItem::GetMinSize | ( |  | ) | const

int wxAuiToolBarItem::GetProportion | ( |  | ) | const

const wxString& wxAuiToolBarItem::GetShortHelp | ( |  | ) | const

wxSizerItem* wxAuiToolBarItem::GetSizerItem | ( |  | ) | const

int wxAuiToolBarItem::GetSpacerPixels | ( |  | ) | const

int wxAuiToolBarItem::GetState | ( |  | ) | const

long wxAuiToolBarItem::GetUserData | ( |  | ) | const

wxWindow* wxAuiToolBarItem::GetWindow | ( |  | ) |

bool wxAuiToolBarItem::HasDropDown | ( |  | ) | const

bool wxAuiToolBarItem::IsActive | ( |  | ) | const

bool wxAuiToolBarItem::IsSticky | ( |  | ) | const

wxAuiToolBarItem& wxAuiToolBarItem::operator= | ( | const wxAuiToolBarItem & | c | ) |

void wxAuiToolBarItem::SetActive | ( | bool | b | ) |

void wxAuiToolBarItem::SetAlignment | ( | int | l | ) |

void wxAuiToolBarItem::SetBitmap | ( | const wxBitmap & | bmp | ) |

void wxAuiToolBarItem::SetDisabledBitmap | ( | const wxBitmap & | bmp | ) |

void wxAuiToolBarItem::SetHasDropDown | ( | bool | b | ) |

void wxAuiToolBarItem::SetHoverBitmap | ( | const wxBitmap & | bmp | ) |

void wxAuiToolBarItem::SetId | ( | int | new_id | ) |

void wxAuiToolBarItem::SetKind | ( | int | new_kind | ) |

void wxAuiToolBarItem::SetLabel | ( | const wxString & | s | ) |

void wxAuiToolBarItem::SetLongHelp | ( | const wxString & | s | ) |

void wxAuiToolBarItem::SetMinSize | ( | const wxSize & | s | ) |

void wxAuiToolBarItem::SetProportion | ( | int | p | ) |

void wxAuiToolBarItem::SetShortHelp | ( | const wxString & | s | ) |

void wxAuiToolBarItem::SetSizerItem | ( | wxSizerItem * | s | ) |

void wxAuiToolBarItem::SetSpacerPixels | ( | int | s | ) |

void wxAuiToolBarItem::SetState | ( | int | new_state | ) |

void wxAuiToolBarItem::SetSticky | ( | bool | b | ) |

void wxAuiToolBarItem::SetUserData | ( | long | l | ) |

void wxAuiToolBarItem::SetWindow | ( | wxWindow * | w | ) |

|  | [ top ]